Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.behaviors
Class StoringTestCase

    java.lang.Object
      org.picocontainer.behaviors.StoringTestCase

    public class StoringTestCase

extends Object

Nested Class Summary
`static class` | `StoringTestCase.Bar`
`static class` | `StoringTestCase.Foo`

Constructor Summary
`StoringTestCase()`

Method Summary
`void` | `testThatCacheMapCanBeDisabledSimulatingAnEndedRequest()`
`void` | `testThatCacheMapCanBeResetOnASubsequentThreadSimulatingASessionConcept()`
`void` | `testThatCacheMapCanBeReUsedOnASubsequentThreadSimulatingASessionConcept()`
`void` | `testThatForASingleThreadTheBehaviorIsTheSameAsPlainCaching()`
`void` | `testThatTwoThreadsHaveSeparatedCacheValues()`
`void` | `testThatTwoThreadsHaveSeparatedCacheValuesForThreeScopeScenario()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StoringTestCase

    public StoringTestCase()

Method Detail

### testThatForASingleThreadTheBehaviorIsTheSameAsPlainCaching

    public void testThatForASingleThreadTheBehaviorIsTheSameAsPlainCaching()

### testThatTwoThreadsHaveSeparatedCacheValues

    public void testThatTwoThreadsHaveSeparatedCacheValues()

### testThatTwoThreadsHaveSeparatedCacheValuesForThreeScopeScenario

    public void testThatTwoThreadsHaveSeparatedCacheValuesForThreeScopeScenario()

### testThatCacheMapCanBeReUsedOnASubsequentThreadSimulatingASessionConcept

    public void testThatCacheMapCanBeReUsedOnASubsequentThreadSimulatingASessionConcept()

### testThatCacheMapCanBeResetOnASubsequentThreadSimulatingASessionConcept

    public void testThatCacheMapCanBeResetOnASubsequentThreadSimulatingASessionConcept()

### testThatCacheMapCanBeDisabledSimulatingAnEndedRequest

    public void testThatCacheMapCanBeDisabledSimulatingAnEndedRequest()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.